/**
 *
 * @package OERSI
 * @license: MIT
 *
 * @author Edmond Kacaj <Edmond.Kacaj@tib.eu>
 *
 * Copyright (c) 2022 TIB <https://www.tib.eu/en>
 */

import React from 'react';
import SvgIcon from '@mui/material/SvgIcon';
/**
 *
 * @param {Object} props - props to be passed to the component
 * @returns  {ReactElement} - React element containing the icon
 */
const LicenseNcIcon = props => {
	return (
		<SvgIcon {...props} viewBox='5.5 -3.5 65 65'>
			<path d='M37.442 -3.5c8.99 0 16.571 3.085 22.743 9.256C66.393 11.928 69.5 19.509 69.5 28.5c0 8.992 -3.048 16.476 -9.145 22.458C53.88 57.32 46.241 60.5 37.442 60.5c-8.686 0 -16.19 -3.162 -22.513 -9.485C8.644 44.728 5.5 37.225 5.5 28.5c0 -8.762 3.144 -16.343 9.429 -22.743C21.1 -0.414 28.604 -3.5 37.442 -3.5zM12.7 19.872c-0.952 2.628 -1.429 5.505 -1.429 8.629c0 7.086 2.59 13.22 7.77 18.4c5.219 5.144 11.391 7.715 18.514 7.715c7.201 0 13.409 -2.608 18.63 -7.829c1.867 -1.79 3.332 -3.657 4.398 -5.602l-12.056 -5.371c-0.421 2.02 -1.439 3.667 -3.057 4.942c-1.622 1.276 -3.535 2.011 -5.744 2.2v4.915h-3.714v-4.915c-3.543 -0.036 -6.782 -1.312 -9.714 -3.827l4.4 -4.457c2.094 1.942 4.476 2.913 7.143 2.913c1.104 0 2.048 -0.246 2.83 -0.743c0.78 -0.494 1.172 -1.312 1.172 -2.457c0 -0.801 -0.287 -1.448 -0.858 -1.943l-3.085 -1.315l-3.771 -1.715l-5.086 -2.229L12.7 19.872zM37.557 2.214c-7.276 0 -13.428 2.571 -18.457 7.714c-1.258 1.258 -2.439 2.686 -3.543 4.287L27.786 19.7c0.533 -1.676 1.542 -3.019 3.029 -4.028c1.484 -1.009 3.218 -1.571 5.2 -1.686V9.071h3.715v4.915c2.934 0.153 5.6 1.143 8 2.971l-4.172 4.286c-1.793 -1.257 -3.619 -1.885 -5.486 -1.885c-0.991 0 -1.876 0.191 -2.656 0.571c-0.781 0.381 -1.172 1.029 -1.172 1.943c0 0.267 0.095 0.533 0.285 0.8l4.057 1.83l2.8 1.257l5.144 2.285l16.397 7.314c0.535 -2.248 0.801 -4.533 0.801 -6.857c0 -7.353 -2.552 -13.543 -7.656 -18.573C51.005 4.785 44.831 2.214 37.557 2.214z' />
		</SvgIcon>
	);
};

export default LicenseNcIcon;
